VideoLAN association
A project and a non-profit organization, composed of volunteers, developing and promoting free, open-source multimedia solutions.
Facebook
Twitter

VLC media player for Familiar Linux

Download Options

A feed for Familiar Linux version 0.5 and 0.6 is available at the URL http://download.videolan.org/pub/videolan/vlc/ipkg-feed/armv4l to get VLC easily. There are packages available for Familiar Linux Gtk+ and GPE.

Packages upto VLC version 0.4.4 support Familiar Linux version 0.5.
Packages from VLC version 0.4.5 onwards support Familiar Linux version 0.6.

Upgrading from previous version of vlc

If upgrading from a previous vlc (vlc, gpe-vlc and opie-vlc) version, then you'll have to uninstall the additional package called ffmpeg or libffmpeg. VLC no longer requires this shared library.

Familiar Linux Gtk+/GPE

The packages for Familiar GPE are being split up in two separate uses.

The latest VLC packages for Familiar Linux 0.7.1 are here:

GPE (H3600/H3800)

Interface and Codecs (they come in the same package):

Required libraries:

The following libraries are needed for this version:

GPE (PXA/XScale)

Interface and Codecs (they no longer come in the same package):

Required libraries:

The following libraries are needed for this version:

Familiar Linux Opie

Latest VLC package for Familiar Opie is 0.6.0:

Interface:

Required libraries:

The library libffmpeg is no longer required for this version of VLC.

Older versions

Older version for your iPaq configuration:

Source code

If you want, you can download the source code of VLC media player.